## merkuro 23.08.0

=== src/contacts/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-2-Clause

ecm_add_test(emailmodeltest.cpp
    TEST_NAME emailmodeltest
    LINK_LIBRARIES merkuro_contact_static Qt::Test
    NAME_PREFIX "merkuro-contact-"
)

ecm_add_test(imppmodeltest.cpp
    TEST_NAME imppmodeltest
    LINK_LIBRARIES merkuro_contact_static Qt::Test
    NAME_PREFIX "merkuro-contact-"
)

ecm_add_test(addressmodeltest.cpp
    TEST_NAME addressmodeltest
    LINK_LIBRARIES merkuro_contact_static Qt::Test
    NAME_PREFIX "merkuro-contact-"
)

ecm_add_test(phonemodeltest.cpp
    TEST_NAME phonemodeltest
    LINK_LIBRARIES merkuro_contact_static Qt::Test
    NAME_PREFIX "merkuro-contact-"
)

=== debian/changelog ===
merkuro (23.08.0-0ubuntu2) mantic; urgency=medium

  * Add symlink kalendar -> merkuro-calendar

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Sep 2023 16:58:22 +0100

merkuro (23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)
  * Kalendar was rebranded as Merkuro Calendar, Merkuro is a small app suite
    providing:
    - Merkuro Calendar
    - Merkuro Contact
    - Merkuro Mail (work in progress, doesn't show up in menu intentionally,
      it allows you only to read your mail for now)
  * Provide kalendar transitional package which installs merkuro
  * Update upstream sgining key, copied from k3b
  * Update lintian overrides
  * Add QML runtime dependencies:
    - qml-module-org-kde-kirigami-addons-components
    - qml-module-org-kde-kirigami-addons-delegates
    - qml-module-org-kde-kirigami-addons-labs-components
    - qml-module-org-kde-kirigami-addons-treeview
  * Update debian/copyright
  * Update debian/upstream/metadata

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 23 Aug 2023 14:15:03 +0100

kalendar (23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:43:21 +0100

kalendar (23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Update build depends:
    - add kirigami-addons-dev
    - add libkf5textaddons-dev
    - add libkf5plasma-dev
  * Update lintian overrides
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2023 12:58:58 +0100

kalendar (22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:35:09 +0000

kalendar (22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:12:07 -0600

kalendar (22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Mon, 09 Jan 2023 17:25:24 +0000

kalendar (22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:06:05 +0000

kalendar (22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:02:29 +0000

kalendar (22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)
  * Update build-deps and deps with the info from cmake.

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Nov 2022 10:38:53 +0000

kalendar (22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:06:06 +0000

kalendar (22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:36:52 +0100

kalendar (22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:47:04 +0100

kalendar (22.04.3-1ubuntu2) kinetic; urgency=medium

  * Add qml-module-qt-labs-qmlmodels as required runtime dependency.
    (LP: #1987422)

 -- Rik Mills <rikmills@kde.org>  Tue, 23 Aug 2022 18:00:42 +0100

kalendar (22.04.3-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Fri, 05 Aug 2022 20:10:13 +0100

kalendar (22.04.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.3).
  * Update build-deps and deps with the info from cmake.
  * Recommend kalendarac.

 -- Patrick Franz <deltaone@debian.org>  Thu, 14 Jul 2022 21:59:18 +0200

kalendar (22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:24:26 +0100

kalendar (22.04.2-4) unstable; urgency=medium

  * Team upload.
  * Add the qml-module-org-kde-kirigami2 dependency, as Kirigami is used.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * CI: enable a couple more tests.
  * Explicitly add the gettext build dependency.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sun, 03 Jul 2022 06:21:53 +0200

kalendar (22.04.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Bump B-Ds to KDE PIM 22.04.

 -- Patrick Franz <deltaone@debian.org>  Tue, 28 Jun 2022 12:47:41 +0200

kalendar (22.04.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 27 Jun 2022 22:04:04 +0200

kalendar (22.04.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.2).

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 Jun 2022 02:48:23 +0200

kalendar (22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)
  * Only build for amd64, arm64 and armhf. Critical runtime dependency
    kdepim-runtime is only available for these architectures.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 07:58:13 +0100

kalendar (22.04.1-1) experimental; urgency=medium

  * Initial release. (Closes: #1011385).

 -- Patrick Franz <deltaone@debian.org>  Fri, 27 May 2022 23:08:18 +0200

=== debian/control ===
Source: merkuro
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.96.0~),
               gettext,
               kirigami-addons-dev,
               kirigami2-dev (>= 5.96.0~),
               libgpgme-dev,
               libkf5akonadi-dev (>= 4:23.08.0~),
               libkf5akonadicalendar-dev (>= 4:23.08.0~),
               libkf5akonadicontact-dev (>= 4:23.08.0~),
               libkf5calendarcore-dev (>= 5:5.96.0~),
               libkf5calendarsupport-dev (>= 4:23.08.0~),
               libkf5configwidgets-dev (>= 5.96.0~),
               libkf5contacts-dev (>= 5:5.96.0~),
               libkf5coreaddons-dev (>= 5.96.0~),
               libkf5dbusaddons-dev (>= 5.96.0~),
               libkf5eventviews-dev (>= 4:23.08.0~),
               libkf5i18n-dev (>= 5.96.0~),
               libkf5iconthemes-dev (>= 5.96.0~),
               libkf5itemmodels-dev (>= 5.96.0~),
               libkf5kio-dev (>= 5.96.0~),
               libkf5mailcommon-dev (>= 4:23.08.0~),
               libkf5pimcommon-dev (>= 4:23.08.0~),
               libkf5plasma-dev,
               libkf5qqc2desktopstyle-dev (>= 5.96.0~),
               libkf5templateparser-dev (>= 4:23.08.0~),
               libkf5textaddons-dev,
               libkf5webengineviewer-dev (>= 4:23.08.0~),
               libkf5windowsystem-dev (>= 5.96.0~),
               libkf5xmlgui-dev (>= 5.96.0~),
               libqt5svg5-dev (>= 5.15.2~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qtquickcontrols2-5-dev (>= 5.15.2~),
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/pim/merkuro
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/merkuro
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/merkuro
Rules-Requires-Root: no

Package: kalendar
Architecture: amd64 arm64 armhf
Section: oldlibs
Depends: merkuro, ${misc:Depends}
Description: Calendar application - transitional package
 Kalendar was a Kirigami based calendar application which was replaced by
 Merkuro Calendar.
 .
 This is a dummy transitional package that installs Merkuro Calendar

Package: merkuro
Architecture: amd64 arm64 armhf
Depends: akonadi-server,
         kdepim-runtime,
         qml-module-org-kde-kirigami-addons-components,
         qml-module-org-kde-kirigami-addons-delegates,
         qml-module-org-kde-kirigami-addons-labs-components,
         qml-module-org-kde-kirigami-addons-treeview,
         qml-module-org-kde-kirigami2,
         qml-module-qt-labs-qmlmodels,
         qml-module-qtlocation,
         qml-module-qtpositioning,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kalendarac
Breaks: kalendar (<< 23.08.0~)
Replaces: kalendar (<< 23.08.0~)
Description: Kirigami based PIM applications
 Merkuro is a small collection of applications to manage your calendar, your
 mail and your addressbook.
 .
 Merkuro Calendar is a Kirigami based calendar and task management application
 that uses Akonadi. It lets you add, edit and delete events and tasks from
 local and remote accounts  of your choice, while keeping changes synchronised
 across your Plasma desktop or phone.
 .
 Merkuro Contact is a Kirigami based addressbook application.
 .
 Merkuro Mail is a work-in-progress mail application that uses Akonadi. For now,
 it just allows you to read your mail.

## merkuro 23.08.1

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: (C) 2020 Carl Schwan <carl@carlschwan.eu>
#
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "23")
set(RELEASE_SERVICE_VERSION_MINOR "08")
set(RELEASE_SERVICE_VERSION_MICRO "1")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(merkuro VERSION ${RELEASE_SERVICE_VERSION})

set(KF_MAJOR_VERSION "5")
set(QT_MIN_VERSION "5.15.2")
set(KF_MIN_VERSION "5.96.0")
set(PIM_VERSION "5.21.0")

set(AKONADI_CONTACT_VERSION "5.24.1")
set(IDENTITYMANAGEMENT_LIB_VERSION "5.24.1")
set(KLDAP_LIB_VERSION "5.24.1")
set(KMAILTRANSPORT_LIB_VERSION "5.24.1")
set(CALENDARUTILS_LIB_VERSION "5.24.1")
set(AKONADICALENDAR_LIB_VERSION "5.24.1")
set(KONTACTINTERFACE_LIB_VERSION "5.24.1")
set(KMIME_LIB_VERSION "5.24.1")
set(KPIMTEXTEDIT_LIB_VERSION "5.24.1")
set(AKONADI_VERSION "5.24.1")

include(FeatureSummary)

################# set KDE specific information #################
find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH
    ${CMAKE_MODULE_PATH}
    ${ECM_MODULE_PATH}
    ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules
)

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddTests)
include(ECMCoverageOption)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMPoQmTools)
include(KDEGitCommitHooks)
include(KDEClangFormat)
include(ECMDeprecationSettings)
include(ECMGenerateQmlTypes)
include(ECMQmlModule)
include(ECMInstallIcons)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX MERKURO
    SOVERSION ${PROJECT_VERSION_MAJOR}
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/config-merkuro.h"
)

set(KF_MAJOR_VERSION ${QT_MAJOR_VERSION})

################# Find dependencies #################
find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS
    Core
    DBus
    Gui
    Svg
    Test
    Qml
    QuickControls2
    QuickTest
)

if (QT_MAJOR_VERSION STREQUAL "6")
    find_package(Qt6Core5Compat REQUIRED)
endif()

find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS
    CalendarCore
    ConfigWidgets
    Contacts
    CoreAddons
    DBusAddons
    I18n
    IconThemes
    ItemModels
    Kirigami2
    KIO
    QQC2DesktopStyle
    WindowSystem
    XmlGui
)
find_package(KF${QT_MAJOR_VERSION}KirigamiAddons 0.7.2 REQUIRED)
find_package(Gpgme REQUIRED)
set_package_properties(KF${QT_MAJOR_VERSION}QQC2DesktopStyle PROPERTIES
    TYPE RUNTIME
)

find_package(KPim${QT_MAJOR_VERSION}Akonadi ${AKONADI_LIB_VERSION} REQUIRED)
find_package(KPim${QT_MAJOR_VERSION}AkonadiCalendar ${AKONADICALENDAR_LIB_VERSION} REQUIRED)
find_package(KPim${QT_MAJOR_VERSION}AkonadiContact ${AKONADICONTACT_LIB_VERSION} REQUIRED)
find_package(KPim${QT_MAJOR_VERSION}AkonadiMime ${AKONADIMIME_LIB_VERSION} REQUIRED)
find_package(KPim${QT_MAJOR_VERSION}CalendarUtils ${CALENDARUTILS_LIB_VERSION} REQUIRED)
find_package(KPim${QT_MAJOR_VERSION}IdentityManagement ${IDENTITYMANAGEMENT_LIB_VERSION} REQUIRED)
find_package(KPim${QT_MAJOR_VERSION}MailCommon ${MAILCOMMON_LIB_VERSION} REQUIRED)

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if (USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
    add_definitions(-DUNITY_CMAKE_SUPPORT)
endif()

################# build and install #################

ki18n_install(po)

ecm_set_disabled_deprecation_versions(QT 5.15.2  KF 5.105.0)
add_definitions(-DQT_STRICT_ITERATORS)
add_subdirectory(src)
add_subdirectory(icons)

ecm_qt_install_logging_categories(
    EXPORT MERKURO
    FILE merkuro.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/contacts/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-2-Clause

### Static lib

add_library(merkuro_contact_static STATIC)

target_link_libraries(merkuro_contact_static PUBLIC merkuro_lib KF${QT_MAJOR_VERSION}::XmlGui)
set_target_properties(merkuro_contact_static PROPERTIES POSITION_INDEPENDENT_CODE ON)
target_sources(merkuro_contact_static PUBLIC
    contactapplication.cpp
    contactapplication.h
    addresseewrapper.cpp
    addresseewrapper.h
    addressmodel.cpp
    addressmodel.h
    phonemodel.h
    phonemodel.cpp
    imppmodel.h
    imppmodel.cpp
    emailmodel.h
    emailmodel.cpp
    globalcontactmodel.cpp
    globalcontactmodel.h
    contactmanager.h
    contactmanager.cpp
    contactcollectionmodel.cpp
    contactcollectionmodel.h
    contacteditorbackend.h
    contacteditorbackend.cpp
    contactgroupeditor.h
    contactgroupeditor.cpp
    contactgroupwrapper.h
    contactgroupwrapper.cpp
    contactgroupmodel.h
    contactgroupmodel.cpp
    contactmetadata.cpp
    contactmetadata.h
    contactsmodel.cpp
    contactsmodel.h
    attributes/contactmetadataattribute_p.h
    attributes/contactmetadataattribute.cpp
    attributes/attributeregistrar.cpp
)

kconfig_add_kcfg_files(merkuro_contact_static GENERATE_MOC contactconfig.kcfgc)

ecm_qt_declare_logging_category(merkuro_contact_static
    HEADER merkuro_contact_debug.h
    IDENTIFIER MERKURO_LOG
    CATEGORY_NAME org.kde.merkuro.contact
    DESCRIPTION "merkuro contact"
    EXPORT MERKURO
)

ecm_add_qml_module(merkuro_contact_plugin URI "org.kde.merkuro.contact" VERSION 1.0)

target_sources(merkuro_contact_plugin PRIVATE
    contactplugin.cpp
    contactplugin.h
    resources.qrc
)

ecm_target_qml_sources(merkuro_contact_plugin SOURCES
    qml/ContactChooserPage.qml
    qml/AddressBookCollectionHandler.qml
    qml/ContactView.qml
    qml/MenuBar.qml
    qml/Sidebar.qml
    qml/GlobalMenuBar.qml
)

ecm_target_qml_sources(merkuro_contact_plugin
    PRIVATE PATH private SOURCES
    qml/private/ContactPage.qml
    qml/private/ContactGroupPage.qml
    qml/private/ContactsPage.qml
    qml/private/ContactListItem.qml
    qml/private/Header.qml
    qml/private/PhoneNumberDialog.qml
    qml/private/QrCodePage.qml
    qml/private/AddressBookMenu.qml
    qml/private/DeleteContactAction.qml
)

ecm_target_qml_sources(merkuro_contact_plugin
    PRIVATE PATH private/contact_editor SOURCES
    qml/private/contact_editor/AddressBookEditorCard.qml
    qml/private/contact_editor/BusinessEditorCard.qml
    qml/private/contact_editor/ContactEditorPage.qml
    qml/private/contact_editor/ContactGroupEditorPage.qml
    qml/private/contact_editor/EmailEditorCard.qml
    qml/private/contact_editor/PersonalInfoEditorCard.qml
    qml/private/contact_editor/PhoneEditorCard.qml
    qml/private/contact_editor/PhotoEditor.qml
    qml/private/contact_editor/InstantMessengerEditorCard.qml
)


target_link_libraries(merkuro_contact_plugin PRIVATE merkuro_contact_static)

ecm_qt_install_logging_categories(
    EXPORT merkuro
    FILE merkuro.contact.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

add_subdirectory(applet)

ecm_finalize_qml_module(merkuro_contact_plugin
    DESTINATION ${KDE_INSTALL_QMLDIR}
    BUILD_SHARED_LIBS OFF)

#### Binary

add_executable(merkuro-contact main.cpp resources.qrc)
target_link_libraries(merkuro-contact
    PRIVATE
        Qt::Widgets
        Qt::Quick
        Qt::QuickControls2
        KF${QT_MAJOR_VERSION}::I18n
        KF${QT_MAJOR_VERSION}::CoreAddons
        KF${QT_MAJOR_VERSION}::DBusAddons
        KF${QT_MAJOR_VERSION}::WindowSystem
        KF${QT_MAJOR_VERSION}::ConfigGui
)
install(TARGETS merkuro-contact ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS org.kde.merkuro.contact.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.merkuro.contact.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== debian/changelog ===
merkuro (23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:06:55 +0100

=== debian/control ===
--- 
+++ 
@@ -12,27 +12,27 @@
                kirigami-addons-dev,
                kirigami2-dev (>= 5.96.0~),
                libgpgme-dev,
-               libkf5akonadi-dev (>= 4:23.08.0~),
-               libkf5akonadicalendar-dev (>= 4:23.08.0~),
-               libkf5akonadicontact-dev (>= 4:23.08.0~),
+               libkf5akonadi-dev (>= 4:23.08.1~),
+               libkf5akonadicalendar-dev (>= 4:23.08.1~),
+               libkf5akonadicontact-dev (>= 4:23.08.1~),
                libkf5calendarcore-dev (>= 5:5.96.0~),
-               libkf5calendarsupport-dev (>= 4:23.08.0~),
+               libkf5calendarsupport-dev (>= 4:23.08.1~),
                libkf5configwidgets-dev (>= 5.96.0~),
                libkf5contacts-dev (>= 5:5.96.0~),
                libkf5coreaddons-dev (>= 5.96.0~),
                libkf5dbusaddons-dev (>= 5.96.0~),
-               libkf5eventviews-dev (>= 4:23.08.0~),
+               libkf5eventviews-dev (>= 4:23.08.1~),
                libkf5i18n-dev (>= 5.96.0~),
                libkf5iconthemes-dev (>= 5.96.0~),
                libkf5itemmodels-dev (>= 5.96.0~),
                libkf5kio-dev (>= 5.96.0~),
-               libkf5mailcommon-dev (>= 4:23.08.0~),
-               libkf5pimcommon-dev (>= 4:23.08.0~),
+               libkf5mailcommon-dev (>= 4:23.08.1~),
+               libkf5pimcommon-dev (>= 4:23.08.1~),
                libkf5plasma-dev,
                libkf5qqc2desktopstyle-dev (>= 5.96.0~),
-               libkf5templateparser-dev (>= 4:23.08.0~),
+               libkf5templateparser-dev (>= 4:23.08.1~),
                libkf5textaddons-dev,
-               libkf5webengineviewer-dev (>= 4:23.08.0~),
+               libkf5webengineviewer-dev (>= 4:23.08.1~),
                libkf5windowsystem-dev (>= 5.96.0~),
                libkf5xmlgui-dev (>= 5.96.0~),
                libqt5svg5-dev (>= 5.15.2~),

## merkuro 23.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "23")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(merkuro VERSION ${RELEASE_SERVICE_VERSION})
@@ -17,16 +17,16 @@
 set(KF_MIN_VERSION "5.96.0")
 set(PIM_VERSION "5.21.0")
 
-set(AKONADI_CONTACT_VERSION "5.24.1")
-set(IDENTITYMANAGEMENT_LIB_VERSION "5.24.1")
-set(KLDAP_LIB_VERSION "5.24.1")
-set(KMAILTRANSPORT_LIB_VERSION "5.24.1")
-set(CALENDARUTILS_LIB_VERSION "5.24.1")
-set(AKONADICALENDAR_LIB_VERSION "5.24.1")
-set(KONTACTINTERFACE_LIB_VERSION "5.24.1")
-set(KMIME_LIB_VERSION "5.24.1")
-set(KPIMTEXTEDIT_LIB_VERSION "5.24.1")
-set(AKONADI_VERSION "5.24.1")
+set(AKONADI_CONTACT_VERSION "5.24.3")
+set(IDENTITYMANAGEMENT_LIB_VERSION "5.24.3")
+set(KLDAP_LIB_VERSION "5.24.3")
+set(KMAILTRANSPORT_LIB_VERSION "5.24.3")
+set(CALENDARUTILS_LIB_VERSION "5.24.3")
+set(AKONADICALENDAR_LIB_VERSION "5.24.3")
+set(KONTACTINTERFACE_LIB_VERSION "5.24.3")
+set(KMIME_LIB_VERSION "5.24.3")
+set(KPIMTEXTEDIT_LIB_VERSION "5.24.3")
+set(AKONADI_VERSION "5.24.3")
 
 include(FeatureSummary)

=== debian/changelog ===
merkuro (23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:43:37 +0000

merkuro (23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:39:45 +0100

=== debian/control ===
--- 
+++ 
@@ -12,27 +12,27 @@
                kirigami-addons-dev,
                kirigami2-dev (>= 5.96.0~),
                libgpgme-dev,
-               libkf5akonadi-dev (>= 4:23.08.1~),
-               libkf5akonadicalendar-dev (>= 4:23.08.1~),
-               libkf5akonadicontact-dev (>= 4:23.08.1~),
+               libkf5akonadi-dev (>= 4:23.08.3~),
+               libkf5akonadicalendar-dev (>= 4:23.08.3~),
+               libkf5akonadicontact-dev (>= 4:23.08.3~),
                libkf5calendarcore-dev (>= 5:5.96.0~),
-               libkf5calendarsupport-dev (>= 4:23.08.1~),
+               libkf5calendarsupport-dev (>= 4:23.08.3~),
                libkf5configwidgets-dev (>= 5.96.0~),
                libkf5contacts-dev (>= 5:5.96.0~),
                libkf5coreaddons-dev (>= 5.96.0~),
                libkf5dbusaddons-dev (>= 5.96.0~),
-               libkf5eventviews-dev (>= 4:23.08.1~),
+               libkf5eventviews-dev (>= 4:23.08.3~),
                libkf5i18n-dev (>= 5.96.0~),
                libkf5iconthemes-dev (>= 5.96.0~),
                libkf5itemmodels-dev (>= 5.96.0~),
                libkf5kio-dev (>= 5.96.0~),
-               libkf5mailcommon-dev (>= 4:23.08.1~),
-               libkf5pimcommon-dev (>= 4:23.08.1~),
+               libkf5mailcommon-dev (>= 4:23.08.3~),
+               libkf5pimcommon-dev (>= 4:23.08.3~),
                libkf5plasma-dev,
                libkf5qqc2desktopstyle-dev (>= 5.96.0~),
-               libkf5templateparser-dev (>= 4:23.08.1~),
+               libkf5templateparser-dev (>= 4:23.08.3~),
                libkf5textaddons-dev,
-               libkf5webengineviewer-dev (>= 4:23.08.1~),
+               libkf5webengineviewer-dev (>= 4:23.08.3~),
                libkf5windowsystem-dev (>= 5.96.0~),
                libkf5xmlgui-dev (>= 5.96.0~),
                libqt5svg5-dev (>= 5.15.2~),

## merkuro 23.08.4

=== debian/changelog ===
merkuro (23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:23:07 +0000

=== debian/control ===
--- 
+++ 
@@ -12,27 +12,27 @@
                kirigami-addons-dev,
                kirigami2-dev (>= 5.96.0~),
                libgpgme-dev,
-               libkf5akonadi-dev (>= 4:23.08.3~),
-               libkf5akonadicalendar-dev (>= 4:23.08.3~),
-               libkf5akonadicontact-dev (>= 4:23.08.3~),
+               libkf5akonadi-dev (>= 4:23.08.4~),
+               libkf5akonadicalendar-dev (>= 4:23.08.4~),
+               libkf5akonadicontact-dev (>= 4:23.08.4~),
                libkf5calendarcore-dev (>= 5:5.96.0~),
-               libkf5calendarsupport-dev (>= 4:23.08.3~),
+               libkf5calendarsupport-dev (>= 4:23.08.4~),
                libkf5configwidgets-dev (>= 5.96.0~),
                libkf5contacts-dev (>= 5:5.96.0~),
                libkf5coreaddons-dev (>= 5.96.0~),
                libkf5dbusaddons-dev (>= 5.96.0~),
-               libkf5eventviews-dev (>= 4:23.08.3~),
+               libkf5eventviews-dev (>= 4:23.08.4~),
                libkf5i18n-dev (>= 5.96.0~),
                libkf5iconthemes-dev (>= 5.96.0~),
                libkf5itemmodels-dev (>= 5.96.0~),
                libkf5kio-dev (>= 5.96.0~),
-               libkf5mailcommon-dev (>= 4:23.08.3~),
-               libkf5pimcommon-dev (>= 4:23.08.3~),
+               libkf5mailcommon-dev (>= 4:23.08.4~),
+               libkf5pimcommon-dev (>= 4:23.08.4~),
                libkf5plasma-dev,
                libkf5qqc2desktopstyle-dev (>= 5.96.0~),
-               libkf5templateparser-dev (>= 4:23.08.3~),
+               libkf5templateparser-dev (>= 4:23.08.4~),
                libkf5textaddons-dev,
-               libkf5webengineviewer-dev (>= 4:23.08.3~),
+               libkf5webengineviewer-dev (>= 4:23.08.4~),
                libkf5windowsystem-dev (>= 5.96.0~),
                libkf5xmlgui-dev (>= 5.96.0~),
                libqt5svg5-dev (>= 5.15.2~),

## merkuro 23.08.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "23")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MICRO "5")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(merkuro VERSION ${RELEASE_SERVICE_VERSION})
@@ -17,16 +17,16 @@
 set(KF_MIN_VERSION "5.96.0")
 set(PIM_VERSION "5.21.0")
 
-set(AKONADI_CONTACT_VERSION "5.24.3")
-set(IDENTITYMANAGEMENT_LIB_VERSION "5.24.3")
-set(KLDAP_LIB_VERSION "5.24.3")
-set(KMAILTRANSPORT_LIB_VERSION "5.24.3")
-set(CALENDARUTILS_LIB_VERSION "5.24.3")
-set(AKONADICALENDAR_LIB_VERSION "5.24.3")
-set(KONTACTINTERFACE_LIB_VERSION "5.24.3")
-set(KMIME_LIB_VERSION "5.24.3")
-set(KPIMTEXTEDIT_LIB_VERSION "5.24.3")
-set(AKONADI_VERSION "5.24.3")
+set(AKONADI_CONTACT_VERSION "5.24.5")
+set(IDENTITYMANAGEMENT_LIB_VERSION "5.24.5")
+set(KLDAP_LIB_VERSION "5.24.5")
+set(KMAILTRANSPORT_LIB_VERSION "5.24.5")
+set(CALENDARUTILS_LIB_VERSION "5.24.5")
+set(AKONADICALENDAR_LIB_VERSION "5.24.5")
+set(KONTACTINTERFACE_LIB_VERSION "5.24.5")
+set(KMIME_LIB_VERSION "5.24.5")
+set(KPIMTEXTEDIT_LIB_VERSION "5.24.5")
+set(AKONADI_VERSION "5.24.5")
 
 include(FeatureSummary)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: (C) 2020 Carl Schwan <carl@carlschwan.eu>
#
# SPDX-License-Identifier: BSD-2-Clause

add_subdirectory(lib)
add_subdirectory(quick)
add_subdirectory(contacts)
add_subdirectory(mail)
add_subdirectory(calendar)
add_subdirectory(components)

=== src/calendar/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-2-Clause

set(merkuro_calendar_SRCS
    remindersmodel.h
    remindersmodel.cpp
    utils.h
    utils.cpp

    datetimestate.h
    datetimestate.cpp

    calendarmanager.cpp
    calendarmanager.h
    calendarapplication.cpp
    calendarapplication.h
    filter.cpp
    filter.h
    incidencewrapper.cpp
    incidencewrapper.h
    mousetracker.cpp
    mousetracker.h

    models/attachmentsmodel.cpp
    models/attachmentsmodel.h
    models/attendeesmodel.cpp
    models/attendeesmodel.h
    models/hourlyincidencemodel.cpp
    models/hourlyincidencemodel.h
    models/incidenceoccurrencemodel.cpp
    models/incidenceoccurrencemodel.h
    models/infinitecalendarviewmodel.cpp
    models/infinitecalendarviewmodel.h
    models/itemtagsmodel.cpp
    models/itemtagsmodel.h
    models/monthmodel.cpp
    models/monthmodel.h
    models/multidayincidencemodel.cpp
    models/multidayincidencemodel.h
    models/recurrenceexceptionsmodel.cpp
    models/recurrenceexceptionsmodel.h
    models/timezonelistmodel.cpp
    models/timezonelistmodel.h
    models/todosortfilterproxymodel.cpp
    models/todosortfilterproxymodel.h
)

ecm_qt_declare_logging_category(merkuro_calendar_SRCS
    HEADER merkuro_calendar_debug.h
    IDENTIFIER "MERKURO_CALENDAR_LOG"
    CATEGORY_NAME org.kde.merkuro.calendar
    DESCRIPTION "merkuro calendar"
    EXPORT MERKURO
)

ecm_qt_export_logging_category(
    IDENTIFIER "MERKURO_CALENDAR_LOG"
    CATEGORY_NAME "org.kde.merkuro.calendar"
    DESCRIPTION "merkuro - calendar"
    EXPORT MERKURO
)
qt_add_dbus_adaptor(merkuro_calendar_SRCS org.kde.calendar.Calendar.xml calendarapplication.h CalendarApplication)

add_library(merkuro_calendar_static STATIC ${merkuro_calendar_SRCS})
kconfig_add_kcfg_files(merkuro_calendar_static GENERATE_MOC calendarconfig.kcfgc)
set_target_properties(merkuro_calendar_static PROPERTIES POSITION_INDEPENDENT_CODE ON)
target_link_libraries(merkuro_calendar_static PUBLIC
    merkuro_lib
    KF${QT_MAJOR_VERSION}::WindowSystem
)


ecm_add_qml_module(merkuro_calendar_plugin URI "org.kde.merkuro.calendar" VERSION 1.0)

target_sources(merkuro_calendar_plugin PRIVATE
    calendarplugin.cpp
    calendarplugin.h
)

set_source_files_properties(models/todosortfilterproxymodel.cpp PROPERTIES SKIP_UNITY_BUILD_INCLUSION ON)

ecm_target_qml_sources(merkuro_calendar_plugin SOURCES
    qml/incidenceeditor/ReminderDelegate.qml
    qml/incidenceeditor/PriorityComboBox.qml
    qml/BottomToolBar.qml
)

target_link_libraries(merkuro_calendar_plugin PUBLIC merkuro_calendar_static)

ecm_finalize_qml_module(merkuro_calendar_plugin
    DESTINATION ${KDE_INSTALL_QMLDIR}
    BUILD_SHARED_LIBS ON)

if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

#### Binary

add_executable(merkuro-calendar
    main.cpp
    importer.h
    importer.cpp
    resources.qrc
)
target_link_libraries(merkuro-calendar
    PRIVATE
        merkuro_calendar_static
        Qt::Widgets
        Qt::Quick
        Qt::QuickControls2
        KF${QT_MAJOR_VERSION}::I18n
        KF${QT_MAJOR_VERSION}::CoreAddons
        KF${QT_MAJOR_VERSION}::DBusAddons
        KF${QT_MAJOR_VERSION}::WindowSystem
        KF${QT_MAJOR_VERSION}::ConfigGui
)
install(TARGETS merkuro-calendar ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS org.kde.merkuro.calendar.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.merkuro.calendar.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== src/lib/CMakeLists.txt ===
# SPDX-FileCopyrightText: (C) 2020 Carl Schwan <carl@carlschwan.eu>
#
# SPDX-License-Identifier: BSD-2-Clause


add_library(merkuro_lib STATIC)
target_sources(merkuro_lib PRIVATE
    colorproxymodel.cpp
    sortedcollectionproxymodel.cpp
    colorproxymodel.h
    sortedcollectionproxymodel.h
    abstractapplication.cpp
    abstractapplication.h
    actionsmodel.cpp
    actionsmodel.h
    commandbarfiltermodel.cpp
    commandbarfiltermodel.h
)
set_property(TARGET merkuro_lib PROPERTY POSITION_INDEPENDENT_CODE ON)

target_include_directories(merkuro_lib PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})
target_link_libraries(merkuro_lib PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Qml
    Qt::Quick
    Qt::QuickControls2
    Qt::Svg
    KF${QT_MAJOR_VERSION}::I18n
    KF${QT_MAJOR_VERSION}::CoreAddons
    KF${QT_MAJOR_VERSION}::CalendarCore
    KPim${QT_MAJOR_VERSION}::AkonadiCore
    KPim${QT_MAJOR_VERSION}::AkonadiCalendar
    KPim${QT_MAJOR_VERSION}::AkonadiContact
    KF${QT_MAJOR_VERSION}::ConfigWidgets
    KF${QT_MAJOR_VERSION}::Contacts
    KF${QT_MAJOR_VERSION}::ItemModels
    KF${QT_MAJOR_VERSION}::XmlGui
    KPim${QT_MAJOR_VERSION}::CalendarUtils
)

=== src/calendar/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Joshua Goins <josh@redstrate.com>
# SPDX-FileCopyrightText: 2023 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-2-Clause

ecm_add_test(calutilstest.cpp
    TEST_NAME calutilstest
    LINK_LIBRARIES merkuro_calendar_static Qt::Test
    NAME_PREFIX "merkuro-calendar-"
)

ecm_add_test(remindersmodeltest.cpp
    TEST_NAME remindersmodeltest
    LINK_LIBRARIES merkuro_calendar_static Qt::Test
    NAME_PREFIX "merkuro-calendar-"
)

ecm_add_test(filtertest.cpp
    TEST_NAME filtertest
    LINK_LIBRARIES merkuro_calendar_static Qt::Test
    NAME_PREFIX "merkuro-calendar-"
)

# the tests need the ical resource, which we might not have at this point (e.g. on the CI)
find_program(AKONADI_ICAL_RESOURCE NAMES akonadi_ical_resource)
if (UNIX)
    add_akonadi_isolated_test_advanced(incidenceoccurrencemodeltest incidenceoccurrencemodeltest.cpp merkuro_calendar_static Qt::Test)
    add_akonadi_isolated_test_advanced(todosortfilterproxymodeltest todosortfilterproxymodeltest.cpp merkuro_calendar_static Qt::Test)
endif()

=== src/contacts/applet/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-2-Clause

find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} OPTIONAL_COMPONENTS Plasma)

if (KF${QT_MAJOR_VERSION}Plasma_FOUND)
    plasma_install_package(package org.kde.merkuro.contact)
endif()

=== src/mail/tests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-3-Clause

include(${CMAKE_SOURCE_DIR}/cmake/modules/add_gpg_crypto_test.cmake)

add_executable(cryptotest cryptotest.cpp)
target_include_directories(cryptotest PRIVATE
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/..>
    ${CMAKE_CURRENT_BINARY_DIR}
    ${GPGME_INCLUDE_DIRS}
)
add_gpg_crypto_test(cryptotest cryptotest)
target_link_libraries(cryptotest
    Qt::Test
    merkuro_mail_static
)

=== src/mail/mimetreeparser/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2017 Christian Mollekopf <mollekopf@kolabsys.com>
# SPDX-License-Identifier: BSD-3-Clause

set(AUTOMOC ON)
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})
add_definitions(-DMAIL_DATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}/../testdata" )

include(ECMAddTests)
include(${CMAKE_SOURCE_DIR}/cmake/modules/add_gpg_crypto_test.cmake)

function(add_mimetreeparser_class_unittest _name _additionalSource)
    add_executable(${_name} ${_name}.cpp setupenv.cpp ${_additionalSource})
    target_link_libraries(${_name} PRIVATE
        Qt::Test
        merkuro_mail_static
    )
    target_include_directories(${_name} PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/..)
    add_test(NAME ${_name} COMMAND $<TARGET_FILE:${_name}>)
endfunction()

function(add_mimetreeparser_crypto_unittest _name)
    add_executable(${_name} ${_name}.cpp setupenv.cpp)
    if (QT_MAJOR_VERSION STREQUAL "6")
        target_link_libraries(${_name} PRIVATE QGpgmeQt6 Qt6::Core5Compat)
    else()
        target_link_libraries(${_name} PRIVATE Gpgme::Gpgme)
    endif()
    target_include_directories(${_name} PRIVATE
        ${CMAKE_CURRENT_SOURCE_DIR}/..
        ${GPGME_INCLUDE_DIRS}
    )
    target_link_libraries(${_name} PRIVATE
        Qt::Test
        merkuro_mail_static
    )
    add_gpg_crypto_test(${_name} mimetreeparser-${_name})
endfunction()

add_mimetreeparser_crypto_unittest(attachmenttest)
add_mimetreeparser_class_unittest(cryptohelpertest "../cryptohelper.cpp")

=== src/mail/mimetreeparser/tests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2017 Christian Mollekopf <mollekopf@kolabsys.com>
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(gnupg_home)
add_definitions( -DMAIL_DATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}/../testdata" )
include(${CMAKE_SOURCE_DIR}/cmake/modules/add_gpg_crypto_test.cmake)
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/..
    )
include_directories(${GPGME_INCLUDE_DIRS})

include(ECMAddTests)

add_executable(mimetreeparsertest mimetreeparsertest.cpp)
add_gpg_crypto_test(mimetreeparsertest mimetreeparsertest)
target_link_libraries(mimetreeparsertest PUBLIC
    Qt::Test
    merkuro_mail_static
)

add_executable(gpgerrortest gpgerrortest.cpp)
target_link_libraries(gpgerrortest PUBLIC
    Qt::Test
    merkuro_mail_static
)
add_test(NAME gpgerrortest COMMAND $<TARGET_FILE:gpgerrortest>)

=== debian/changelog ===
merkuro (23.08.5-0ubuntu5) oracular; urgency=medium

  * Depend on kf5 version of kirigami-addons. 

 -- Scarlett Moore <sgmoore@debian.org>  Tue, 17 Sep 2024 09:41:37 -0700

merkuro (23.08.5-0ubuntu4) oracular; urgency=medium

  * Add missing runtime qml. (LP: #2063936) 
  * SRu: (LP: #2065063) 

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 05 Jun 2024 06:45:58 -0700

merkuro (23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:00:47 +1100

merkuro (23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:55:06 +0000

merkuro (23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:28:04 -0700

=== debian/control ===
--- 
+++ 
@@ -9,30 +9,30 @@
                dh-sequence-kf5,
                extra-cmake-modules (>= 5.96.0~),
                gettext,
-               kirigami-addons-dev,
+               kf5-kirigami-addons-dev,
                kirigami2-dev (>= 5.96.0~),
                libgpgme-dev,
-               libkf5akonadi-dev (>= 4:23.08.4~),
-               libkf5akonadicalendar-dev (>= 4:23.08.4~),
-               libkf5akonadicontact-dev (>= 4:23.08.4~),
+               libkf5akonadi-dev (>= 4:23.08.5~),
+               libkf5akonadicalendar-dev (>= 4:23.08.5~),
+               libkf5akonadicontact-dev (>= 4:23.08.5~),
                libkf5calendarcore-dev (>= 5:5.96.0~),
-               libkf5calendarsupport-dev (>= 4:23.08.4~),
+               libkf5calendarsupport-dev (>= 4:23.08.5~),
                libkf5configwidgets-dev (>= 5.96.0~),
                libkf5contacts-dev (>= 5:5.96.0~),
                libkf5coreaddons-dev (>= 5.96.0~),
                libkf5dbusaddons-dev (>= 5.96.0~),
-               libkf5eventviews-dev (>= 4:23.08.4~),
+               libkf5eventviews-dev (>= 4:23.08.5~),
                libkf5i18n-dev (>= 5.96.0~),
                libkf5iconthemes-dev (>= 5.96.0~),
                libkf5itemmodels-dev (>= 5.96.0~),
                libkf5kio-dev (>= 5.96.0~),
-               libkf5mailcommon-dev (>= 4:23.08.4~),
-               libkf5pimcommon-dev (>= 4:23.08.4~),
+               libkf5mailcommon-dev (>= 4:23.08.5~),
+               libkf5pimcommon-dev (>= 4:23.08.5~),
                libkf5plasma-dev,
                libkf5qqc2desktopstyle-dev (>= 5.96.0~),
-               libkf5templateparser-dev (>= 4:23.08.4~),
+               libkf5templateparser-dev (>= 4:23.08.5~),
                libkf5textaddons-dev,
-               libkf5webengineviewer-dev (>= 4:23.08.4~),
+               libkf5webengineviewer-dev (>= 4:23.08.5~),
                libkf5windowsystem-dev (>= 5.96.0~),
                libkf5xmlgui-dev (>= 5.96.0~),
                libqt5svg5-dev (>= 5.15.2~),
@@ -63,6 +63,9 @@
          qml-module-org-kde-kirigami-addons-delegates,
          qml-module-org-kde-kirigami-addons-labs-components,
          qml-module-org-kde-kirigami-addons-treeview,
+         qml-module-org-kde-kirigami-addons-labs-mobileform,
+         qml-module-qt-labs-platform,
+         qml-module-org-kde-kitemmodels,
          qml-module-org-kde-kirigami2,
          qml-module-qt-labs-qmlmodels,
          qml-module-qtlocation,
